Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf
Class RtfRow

    java.lang.Object
      com.lowagie.text.rtf.RtfRow

Deprecated. Please move to the RtfWriter2 and associated classes.

    public class RtfRow

extends Object

A Helper Class for the `RtfWriter`.

Do not use it directly ONLY FOR USE WITH THE RtfWriter NOT with the RtfWriter2. Parts of this Class were contributed by Steffen Stundzig. Many thanks for the improvements. Code added by c

Field Summary
`private Color` | `borderColor` Deprecated. The border color of this `RtfRow`
`private int` | `borders` Deprecated. The borders of this `RtfRow`
`private float` | `borderWidth` Deprecated. The border width of this `RtfRow`
`private int` | `cellpadding` Deprecated. The default cellpadding of `RtfCells` in this `RtfRow`
`private ArrayList` | `cells` Deprecated. List of `RtfCell`s in this `RtfRow`
`private int` | `cellspacing` Deprecated. The default cellspacing of `RtfCells` in this `RtfRow`
`private static byte[]` | `graphLeft` Deprecated.
`private RtfTable` | `mainTable` Deprecated. The RtfTable to which this `RtfRow` belongs
`private Row` | `origRow` Deprecated. Original Row
`private static byte[]` | `rowAlignCenter` Deprecated. Table alignment center
`private static byte[]` | `rowAlignLeft` Deprecated. Table alignment left
`private static byte[]` | `rowAlignRight` Deprecated. Table alignment right
`private static byte[]` | `rowAutofit` Deprecated. Table row autofit
`private static byte[]` | `rowBegin` Deprecated. Table row defaults
`private static byte[]` | `rowBorderBottom` Deprecated. Row border bottom
`private static byte[]` | `rowBorderInlineHorizontal` Deprecated. Row border horiz inline
`private static byte[]` | `rowBorderInlineVertical` Deprecated. Row border bottom
`private static byte[]` | `rowBorderLeft` Deprecated. Row border left
`private static byte[]` | `rowBorderRight` Deprecated. Row border right
`private static byte[]` | `rowBorderTop` Deprecated. Row border top
`private static byte[]` | `rowEnd` Deprecated. End of table row
`private static byte[]` | `rowHeader` Deprecated. Table row header.
`private static byte[]` | `rowKeep` Deprecated. Table row keep together.
`private static byte[]` | `rowPaddingLeft` Deprecated. Default cell padding left
`private static byte[]` | `rowPaddingLeftStyle` Deprecated. Default cell padding format left
`private static byte[]` | `rowPaddingRight` Deprecated. Default cell padding right
`private static byte[]` | `rowPaddingRightStyle` Deprecated. Default cell padding format right
`private static byte[]` | `rowSpacingBottom` Deprecated. Default cell spacing bottom
`private static byte[]` | `rowSpacingBottomStyle` Deprecated. Default cell spacing format bottom
`private static byte[]` | `rowSpacingLeft` Deprecated. Default cell spacing left
`private static byte[]` | `rowSpacingLeftStyle` Deprecated. Default cell spacing format left
`private static byte[]` | `rowSpacingRight` Deprecated. Default cell spacing right
`private static byte[]` | `rowSpacingRightStyle` Deprecated. Default cell spacing format right
`private static byte[]` | `rowSpacingTop` Deprecated. Default cell spacing top
`private static byte[]` | `rowSpacingTopStyle` Deprecated. Default cell spacing format top
`private static byte[]` | `rowWidth` Deprecated. Row width
`private static byte[]` | `rowWidthStyle` Deprecated. Row width format
`static byte[]` | `tableBorder` Deprecated. Table border solid
`static byte[]` | `tableBorderColor` Deprecated. Table border color
`static byte[]` | `tableBorderWidth` Deprecated. Table border width
`private int` | `width` Deprecated. The width of this `RtfRow` (in percent)
`private RtfWriter` | `writer` Deprecated. The `RtfWriter` to which this `RtfRow` belongs

Constructor Summary
`RtfRow(RtfWriter writer, RtfTable mainTable)` Deprecated. Create a new `RtfRow`.

Method Summary
`boolean` | `importRow(Row row, float[] propWidths, int tableWidth, int pageWidth, int cellpadding, int cellspacing, int borders, Color borderColor, float borderWidth, int y)` Deprecated. Import a `Row`.
`void` | `pregenerateRows(int columns)` Deprecated. Pregenerate the `RtfCell`s in this `RtfRow`.
`void` | `setMerge(int x, int mergeType, RtfCell mergeCell)` Deprecated. `RtfTable`s call this method from their own setMerge() to specify that a certain other cell is to be merged with it.
`private void` | `writeBorder(ByteArrayOutputStream os, byte[] borderType)` Deprecated.
`private void` | `writeInt(ByteArrayOutputStream out, int i)` Deprecated.
`boolean` | `writeRow(ByteArrayOutputStream os, int rowNum, Table table)` Deprecated. Write the `RtfRow` to the specified `OutputStream`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tableBorder

    public static final byte[] tableBorder

  Deprecated.
  Table border solid

### tableBorderWidth

    public static final byte[] tableBorderWidth

  Deprecated.
  Table border width

### tableBorderColor

    public static final byte[] tableBorderColor

  Deprecated.
  Table border color

### rowBegin

    private static final byte[] rowBegin

  Deprecated.
  Table row defaults

### rowEnd

    private static final byte[] rowEnd

  Deprecated.
  End of table row

### rowAutofit

    private static final byte[] rowAutofit

  Deprecated.
  Table row autofit

### graphLeft

    private static final byte[] graphLeft

  Deprecated.

### rowBorderLeft

    private static final byte[] rowBorderLeft

  Deprecated.
  Row border left

### rowBorderRight

    private static final byte[] rowBorderRight

  Deprecated.
  Row border right

### rowBorderTop

    private static final byte[] rowBorderTop

  Deprecated.
  Row border top

### rowBorderBottom

    private static final byte[] rowBorderBottom

  Deprecated.
  Row border bottom

### rowBorderInlineHorizontal

    private static final byte[] rowBorderInlineHorizontal

  Deprecated.
  Row border horiz inline

### rowBorderInlineVertical

    private static final byte[] rowBorderInlineVertical

  Deprecated.
  Row border bottom

### rowSpacingLeft

    private static final byte[] rowSpacingLeft

  Deprecated.
  Default cell spacing left

### rowSpacingRight

    private static final byte[] rowSpacingRight

  Deprecated.
  Default cell spacing right

### rowSpacingTop

    private static final byte[] rowSpacingTop

  Deprecated.
  Default cell spacing top

### rowSpacingBottom

    private static final byte[] rowSpacingBottom

  Deprecated.
  Default cell spacing bottom

### rowSpacingLeftStyle

    private static final byte[] rowSpacingLeftStyle

  Deprecated.
  Default cell spacing format left

### rowSpacingRightStyle

    private static final byte[] rowSpacingRightStyle

  Deprecated.
  Default cell spacing format right

### rowSpacingTopStyle

    private static final byte[] rowSpacingTopStyle

  Deprecated.
  Default cell spacing format top

### rowSpacingBottomStyle

    private static final byte[] rowSpacingBottomStyle

  Deprecated.
  Default cell spacing format bottom

### rowPaddingLeft

    private static final byte[] rowPaddingLeft

  Deprecated.
  Default cell padding left

### rowPaddingRight

    private static final byte[] rowPaddingRight

  Deprecated.
  Default cell padding right

### rowPaddingLeftStyle

    private static final byte[] rowPaddingLeftStyle

  Deprecated.
  Default cell padding format left

### rowPaddingRightStyle

    private static final byte[] rowPaddingRightStyle

  Deprecated.
  Default cell padding format right

### rowWidthStyle

    private static final byte[] rowWidthStyle

  Deprecated.
  Row width format

### rowWidth

    private static final byte[] rowWidth

  Deprecated.
  Row width

### rowHeader

    private static final byte[] rowHeader

  Deprecated.
  Table row header. This row should appear at the top of every page the current table appears on.

### rowKeep

    private static final byte[] rowKeep

  Deprecated.
  Table row keep together. This row cannot be split by a page break. This property is assumed to be off unless the control word is present.

### rowAlignLeft

    private static final byte[] rowAlignLeft

  Deprecated.
  Table alignment left

### rowAlignCenter

    private static final byte[] rowAlignCenter

  Deprecated.
  Table alignment center

### rowAlignRight

    private static final byte[] rowAlignRight

  Deprecated.
  Table alignment right

### cells

    private ArrayList cells

  Deprecated.
  List of `RtfCell`s in this `RtfRow`

### writer

    private RtfWriter writer

  Deprecated.
  The `RtfWriter` to which this `RtfRow` belongs

### mainTable

    private RtfTable mainTable

  Deprecated.
  The RtfTable to which this `RtfRow` belongs

### width

    private int width

  Deprecated.
  The width of this `RtfRow` (in percent)

### cellpadding

    private int cellpadding

  Deprecated.
  The default cellpadding of `RtfCells` in this `RtfRow`

### cellspacing

    private int cellspacing

  Deprecated.
  The default cellspacing of `RtfCells` in this `RtfRow`

### borders

    private int borders

  Deprecated.
  The borders of this `RtfRow`

### borderColor

    private Color borderColor

  Deprecated.
  The border color of this `RtfRow`

### borderWidth

    private float borderWidth

  Deprecated.
  The border width of this `RtfRow`

### origRow

    private Row origRow

  Deprecated.
  Original Row

Constructor Detail

### RtfRow

    public RtfRow(RtfWriter writer,
                  RtfTable mainTable)

  Deprecated.
  Create a new `RtfRow`.

  Parameters:
    `writer` - The `RtfWriter` that this `RtfRow` belongs to
    `mainTable` - The `RtfTable` that created this `RtfRow`

Method Detail

### pregenerateRows

    public void pregenerateRows(int columns)

  Deprecated.
  Pregenerate the `RtfCell`s in this `RtfRow`.

  Parameters:
    `columns` - The number of `RtfCell`s to be generated.

### importRow

    public boolean importRow(Row row,
                             float[] propWidths,
                             int tableWidth,
                             int pageWidth,
                             int cellpadding,
                             int cellspacing,
                             int borders,
                             Color borderColor,
                             float borderWidth,
                             int y)

  Deprecated.
  Import a `Row`.

  All the parameters are taken from the `RtfTable` which contains this `RtfRow` and they do exactely what they say

  Parameters:
    `row` -
    `propWidths` - in percent
    `tableWidth` - in percent
    `pageWidth` -
    `cellpadding` -
    `cellspacing` -
    `borders` -
    `borderColor` -
    `borderWidth` -
    `y` -
  Returns:
    true if importing the row succeeded

### writeRow

    public boolean writeRow(ByteArrayOutputStream os,
                            int rowNum,
                            Table table)
                     throws DocumentException,
                            IOException

  Deprecated.
  Write the `RtfRow` to the specified `OutputStream`.

  Parameters:
    `os` - The `OutputStream` to which this `RtfRow` should be written to.
    `rowNum` - The `index` of this row in the containing table.
    `table` - The `Table` which contains the original `Row`.
  Returns:
    true if writing the row succeeded
  Throws:
    `DocumentException`
    `IOException`

### writeBorder

    private void writeBorder(ByteArrayOutputStream os,
                             byte[] borderType)
                      throws IOException

  Deprecated.
  Throws:
    `IOException`

### setMerge

    public void setMerge(int x,
                         int mergeType,
                         RtfCell mergeCell)

  Deprecated.
  `RtfTable`s call this method from their own setMerge() to specify that a certain other cell is to be merged with it.

  Parameters:
    `x` - The column position of the cell to be merged
    `mergeType` - The merge type specifies the kind of merge to be applied (MERGE_HORIZ_PREV, MERGE_VERT_PREV, MERGE_BOTH_PREV)
    `mergeCell` - The `RtfCell` that the cell at x and y is to be merged with

### writeInt

    private void writeInt(ByteArrayOutputStream out,
                          int i)
                   throws IOException

  Deprecated.
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD